GLI 0.5.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Typedefs | Functions
gli::detail Namespace Reference

## Typedefs
typedef glm::uint | dimensions1_type
typedef glm::uvec2 | dimensions2_type
typedef glm::uvec3 | dimensions3_type
typedef glm::uvec4 | dimensions4_type
typedef std::size_t | size_type

## Functions
size_type | imageAddressing (storage const &Storage, size_type const &LayerOffset, size_type const &FaceOffset, size_type const &LevelOffset)
size_type | texelLinearAdressing (dimensions1_type const &Dimensions, dimensions1_type const &TexelCoord)
size_type | texelLinearAdressing (dimensions2_type const &Dimensions, dimensions2_type const &TexelCoord)
size_type | texelLinearAdressing (dimensions3_type const &Dimensions, dimensions3_type const &TexelCoord)
size_type | texelMortonAdressing (dimensions1_type const &Dimensions, dimensions1_type const &TexelCoord)
size_type | texelMortonAdressing (dimensions2_type const &Dimensions, dimensions2_type const &TexelCoord)
size_type | texelMortonAdressing (dimensions3_type const &Dimensions, dimensions3_type const &TexelCoord)

## Typedef Documentation

typedef glm::uint dimensions1_type

Definition at line 60 of file storage.hpp.

typedef glm::uvec2 dimensions2_type

Definition at line 61 of file storage.hpp.

typedef glm::uvec3 dimensions3_type

Definition at line 62 of file storage.hpp.

typedef glm::uvec4 dimensions4_type

Definition at line 63 of file storage.hpp.

typedef std::size_t size_type

Definition at line 59 of file storage.hpp.

## Function Documentation

size_type gli::detail::imageAddressing | ( | storage const & | Storage,
|  | size_type const & | LayerOffset,
|  | size_type const & | FaceOffset,
|  | size_type const & | LevelOffset
| ) |  |

size_type gli::detail::texelLinearAdressing | ( | dimensions1_type const & | Dimensions,
|  | dimensions1_type const & | TexelCoord
| ) |  |

size_type gli::detail::texelLinearAdressing | ( | dimensions2_type const & | Dimensions,
|  | dimensions2_type const & | TexelCoord
| ) |  |

size_type gli::detail::texelLinearAdressing | ( | dimensions3_type const & | Dimensions,
|  | dimensions3_type const & | TexelCoord
| ) |  |

size_type gli::detail::texelMortonAdressing | ( | dimensions1_type const & | Dimensions,
|  | dimensions1_type const & | TexelCoord
| ) |  |

size_type gli::detail::texelMortonAdressing | ( | dimensions2_type const & | Dimensions,
|  | dimensions2_type const & | TexelCoord
| ) |  |

size_type gli::detail::texelMortonAdressing | ( | dimensions3_type const & | Dimensions,
|  | dimensions3_type const & | TexelCoord
| ) |  |